package type;
final public class InvalidRelationHolder
	implements org.omg.CORBA.portable.Streamable
{
	public type.InvalidRelation value;

	public InvalidRelationHolder ()
	{
	}
	public InvalidRelationHolder (type.InvalidRelation initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return type.InvalidRelationHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream _in)
	{
		value = type.InvalidRelationHelper.read(_in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream _out)
	{
		type.InvalidRelationHelper.write(_out,value);
	}
}
